Package: org.gradle.api.artifacts

## [Java] Interface ComponentModuleMetadata

- Contains immutable component module metadata information.

  Since:
    2.2

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `ModuleIdentifier` | `getId()` The identifier of the module.
    `ModuleIdentifier` | `getReplacedBy()` The identifier of module that replaces this module.

- - ### Method Detail

    - #### public ModuleIdentifier getId()

      The identifier of the module.

    - #### @Nullable public ModuleIdentifier getReplacedBy()

      The identifier of module that replaces this module. A real world example: 'com.google.collections:google-collections' is replaced by 'com.google.guava:guava'.